Paradox versions

I am running D1 (not the one with D2), and am confused about
getting access to Paradox 7-16bit databases.  My D1 knows
nothing about Paradox 7-16bit (of course), but what about the
D1.02 (comes with D2)?  I want to stick with Paradox (I have had
trouble with Access), and don't know whether I should be looking
at Paradox 7 or should go with 5.  Thanks.